//
//  SQLTheme.h
//  SQLEditor
//
//  Created by Rui Pacheco on 6/5/13.
//  Copyright (c) 2013 Rui Pacheco. All rights reserved.
//

#import <Foundation/Foundation.h>

/*!
 @abstract Model object for themes.
 */
@interface SQLTheme : NSObject

+ (SQLTheme *)themeWithDictionary:(NSDictionary *)aDictionary;

@property (readonly) NSString *name;
@property (readonly) NSNumber *version;
@property (readonly) NSString *author;
@property (readonly) NSString *themeDescription;
@property (readonly) NSColor *backgroundColor;
@property (readonly) NSColor *textColor;
@property (readonly) NSColor *cursorColor;
@property (readonly) NSColor *selectionBackgroundColor;
@property (readonly) NSColor *rulerBackgroundColor;
@property (readonly) NSColor *rulerTextColor;
@property (readonly) NSColor *singleLineComment;
@property (readonly) NSColor *multiLineComment;
@property (readonly) NSColor *stringTextColor;
@property (readonly) NSColor *keywordTextColor;
@property (readonly) NSFont *font;

@end
